package com.ruoyi.database.domain;


import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 流程日志记录(BaseFlowLog)实体类
 *
 * @author makejava
 * @since 2024-09-02 15:36:53
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(value = "base_flow_log")
@ApiModel(value = "BaseFlowLog", description = "流程日志记录")
public class BaseFlowLog extends BaseEntity {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @Excel(name = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /** 创建者 */
    @ApiModelProperty("创建者")
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("创建时间")
    private Date createTime;

    /** 更新者 */
    @ApiModelProperty("更新者")
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("更新时间")
    private Date updateTime;

    /**
     * 操作人
     */
    @ApiModelProperty("操作人")
    @Excel(name = "操作人")
    @TableField(condition = SqlCondition.LIKE)
    private String operName;

    /**
     * 发送时间
     */
    @ApiModelProperty("发送时间")
    @Excel(name = "发送时间")
    private Long operTime;
    @TableField(exist = false)
    private String operTimeCn;
    /**
     * 接收人
     */
    @ApiModelProperty("接收人")
    @Excel(name = "接收人")
    @TableField(condition = SqlCondition.LIKE)
    private String receiveName;

    /**
     * 发送方式
     */
    @ApiModelProperty("发送方式")
    @Excel(name = "发送方式")
    private Integer sendType;
    @TableField(exist = false)
    private String sendTypeCn;

    /**
     * 发送状态
     */
    @ApiModelProperty("发送状态")
    @Excel(name = "发送状态")
    private Integer sendStatus;
    @TableField(exist = false)
    private String sendStatusCn;

    /**
     * 发送内容
     */
    @ApiModelProperty("发送内容")
    @Excel(name = "发送内容")
    private String sendContent;

    /**
     * 发送结果
     */
    @ApiModelProperty("发送结果")
    @Excel(name = "发送结果")
    private Integer sendResult;
    @TableField(exist = false)
    private String sendResultCn;

    /**
     * 失败原因
     */
    @ApiModelProperty("失败原因")
    @Excel(name = "失败原因")
    private String errReason;

    /**
     * 发送编号
     */
    @ApiModelProperty("发送编号")
    @Excel(name = "发送编号")
    private String sendId;



    @ApiModelProperty("短信id")
    @Excel(name = "短信id")
    private String smsId;


    @TableField(exist = false)
    private String firstTime;
    @TableField(exist = false)
    private String endTime;



}
